package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

//状态(1正常签到，0异常签到，2正常签退)
public enum SignStatusEnum implements BaseEnum<Integer, SignStatusEnum> {
    SIGN(1,"1正常签到"),
    EXCEPTION(0,"异常签到"),
    YES_QUIT(2,"正常签退");

    private Integer code;
    private String msg;

    SignStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
